<?php
/*
* Файл local/templates/название_сайта/components/bitrix/system.auth.authorize/.default/template.php
*/
if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();
?>
<div class="system-auth-authorize">
	<h2><?= GetMessage('SYS_AUTH_AUTHORIZE_TITLE'); /* заголовок формы */ ?></h2>
	<?php
	// сообщение, как прошла операция авторизации
	ShowMessage($arParams["~AUTH_RESULT"]);
	// сообщение об ошибке при авторизации
	ShowMessage($arResult['ERROR_MESSAGE']);
	?>
	<form name="form_auth" method="post" target="_top" action="<?= $arResult["AUTH_URL"]; ?>">
		<input type="hidden" name="AUTH_FORM" value="Y" />
		<input type="hidden" name="TYPE" value="AUTH" />
		<?php if (strlen($arResult["BACKURL"]) > 0) : ?>
			<input type="hidden" name="backurl" value="<?= $arResult["BACKURL"]; ?>" />
		<?php endif; ?>
		<?php foreach ($arResult["POST"] as $key => $value) : /* передача полученных POST-параметров */ ?>
			<input type="hidden" name="<?= $key; ?>" value="<?= $value; ?>" />
		<?php endforeach; ?>
		<div>
			<span><?= GetMessage('SYS_AUTH_AUTHORIZE_LOGIN'); /* поле логин */ ?></span>
			<span><input type="text" name="USER_LOGIN" maxlength="255" value="<?= $arResult["LAST_LOGIN"]; ?>" /></span>
		</div>
		<div>
			<span><?= GetMessage('SYS_AUTH_AUTHORIZE_PASSWORD'); /* поле пароль */ ?></span>
			<span><input type="password" name="USER_PASSWORD" maxlength="255" autocomplete="off" /></span>
		</div>
		<?php if ($arResult["SECURE_AUTH"]) : /* безопасная авторизация (зашифрованная передача пароля) */ ?>
			<!-- код удален -->
		<?php endif; ?>
		<?php if ($arResult["CAPTCHA_CODE"]) : /* если используется CAPTCHA */ ?>
			<div class="captcha">
				<h3><?= GetMessage('SYS_AUTH_AUTHORIZE_CAPTCHA_TITLE'); /* Защита от роботов */ ?></h3>
				<input type="hidden" name="captcha_sid" value="<?= $arResult["CAPTCHA_CODE"]; ?>" />
				<img src="/bitrix/tools/captcha.php?captcha_sid=<?= $arResult["CAPTCHA_CODE"]; ?>" width="180" height="40" alt="" />
				<span><?= GetMessage('SYS_AUTH_AUTHORIZE_CAPTCHA_TEXT'); /* введите код с картинки */ ?> <i>*</i> <!-- поле обязательно для заполнения --></span>
				<span><input type="text" name="captcha_word" maxlength="50" value="" size="15" /></span>
			</div>
		<?php endif; ?>
		<?php if ($arResult["STORE_PASSWORD"] == "Y") : /* checkbox «Запомнить меня» */ ?>
			<div class="remember">
				<input type="checkbox" id="USER_REMEMBER" name="USER_REMEMBER" value="Y" />
				<label for="USER_REMEMBER"><?= GetMessage('SYS_AUTH_AUTHORIZE_REMEMBER'); ?></label>
			</div>
		<?php endif; ?>
		<div class="submit">
			<input type="submit" name="Login" value="<?= GetMessage('SYS_AUTH_AUTHORIZE_SUBMIT'); /* кнопка отправки формы */ ?>" />
		</div>
	</form>
	<?php if ($arParams["NOT_SHOW_LINKS"] != "Y") : /* ссылка для восстановления пароля */ ?>
		<p><a href="<?= $arResult["AUTH_FORGOT_PASSWORD_URL"]; ?>" rel="nofollow"><?= GetMessage('SYS_AUTH_AUTHORIZE_FORGOT'); ?></a></p>
	<?php endif; ?>
	<?php
	// ссылка на страницу регистрации
	if ($arParams["NOT_SHOW_LINKS"] != "Y" && $arResult["NEW_USER_REGISTRATION"] == "Y" && $arParams["AUTHORIZE_REGISTRATION"] != "Y") :
	?>
		<p><a href="<?= $arResult["AUTH_REGISTER_URL"]; ?>" rel="nofollow"><?= GetMessage('SYS_AUTH_AUTHORIZE_REG_USER'); ?></a></p>
	<?php endif; ?>
	<script type="text/javascript">
		<?php if (strlen($arResult["LAST_LOGIN"]) > 0) : ?>
			try {
				document.form_auth.USER_PASSWORD.focus();
			} catch (e) {}
		<?php else : ?>
			try {
				document.form_auth.USER_LOGIN.focus();
			} catch (e) {}
		<?php endif; ?>
	</script>
</div>