<?php
/*
* Файл local/templates/название_сайта/components/bitrix/system.auth.registration/.default/template.php
*/

if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();
?>

<div class="system-auth-registration">
	<h2><?= GetMessage('SYS_AUTH_REGISTRATION_TITLE'); /* заголовок формы */ ?></h2>
	<?php
	// сообщение о том, как закончилась операция регистрации
	ShowMessage($arParams["~AUTH_RESULT"]);
	?>
	<?php if ($arResult["USE_EMAIL_CONFIRMATION"] === "Y" && is_array($arParams["AUTH_RESULT"]) && $arParams["AUTH_RESULT"]["TYPE"] === "OK") : ?>
		<p><?= GetMessage('SYS_AUTH_REGISTRATION_EMAIL_SENT'); /* отправлено письмо для подтверждения */ ?></p>
</div>
<?php return; ?>
<?php endif; ?>
<?php if ($arResult["USE_EMAIL_CONFIRMATION"] === "Y") : ?>
	<p><?= GetMessage('SYS_AUTH_REGISTRATION_EMAIL_HELP'); /* будет отправлено письмо для подтверждения */ ?></p>
<?php endif; ?>
<form method="post" action="<?= $arResult["AUTH_URL"]; ?>" name="bform" enctype="multipart/form-data">
	<?php if (strlen($arResult["BACKURL"]) > 0) : ?>
		<input type="hidden" name="backurl" value="<?= $arResult["BACKURL"]; ?>" />
	<?php endif; ?>
	<input type="hidden" name="AUTH_FORM" value="Y" />
	<input type="hidden" name="TYPE" value="REGISTRATION" />
	<div>
		<span><?= GetMessage('SYS_AUTH_REGISTRATION_FNAME'); /* имя пользователя */ ?></span>
		<span><input type="text" name="USER_NAME" maxlength="50" value="<?= $arResult["USER_NAME"]; ?>" /></span>
	</div>
	<div>
		<span><?= GetMessage('SYS_AUTH_REGISTRATION_LNAME'); /* фамилия пользователя */ ?></span>
		<span><input type="text" name="USER_LAST_NAME" maxlength="50" value="<?= $arResult["USER_LAST_NAME"]; ?>" /></span>
	</div>
	<div>
		<span><?= GetMessage('SYS_AUTH_REGISTRATION_LOGIN'); /* логин пользователя */ ?> <i>*</i> <!-- поле обязательно для заполнения --></span>
		<span><input type="text" name="USER_LOGIN" maxlength="50" value="<?= $arResult["USER_LOGIN"]; ?>" /></span>
	</div>
	<div>
		<span><?= GetMessage('SYS_AUTH_REGISTRATION_EMAIL'); /* e-mail пользователя */ ?> <?php if ($arResult["EMAIL_REQUIRED"]) : ?> <i>*</i> <!-- поле обязательно для заполнения --><?php endif; ?></span>
		<span><input type="text" name="USER_EMAIL" maxlength="255" value="<?= $arResult["USER_EMAIL"]; ?>" /></span>
	</div>
	<div>
		<span><?= GetMessage('SYS_AUTH_REGISTRATION_PASSWORD'); /* пароль пользователя */ ?> <i>*</i> <!-- поле обязательно для заполнения --></span>
		<span><input type="password" name="USER_PASSWORD" maxlength="50" value="<?= $arResult["USER_PASSWORD"]; ?>" autocomplete="off" /></span>
	</div>
	<?php if ($arResult["SECURE_AUTH"]) : /* безопасная авторизация (зашифрованная передача пароля) */ ?>
		<!-- код удален -->
	<?php endif; ?>
	<div>
		<span><?= GetMessage('SYS_AUTH_REGISTRATION_CONFIRM'); /* подтверждение пароля */ ?> <i>*</i> <!-- поле обязательно для заполнения --></span>
		<span><input type="password" name="USER_CONFIRM_PASSWORD" maxlength="50" value="<?= $arResult["USER_CONFIRM_PASSWORD"]; ?>" autocomplete="off" /></span>
	</div>
	<?php if ($arResult["USER_PROPERTIES"]["SHOW"] == "Y") : /* User properties */ ?>
		<?php echo strlen(trim($arParams["USER_PROPERTY_NAME"])) > 0 ? $arParams["USER_PROPERTY_NAME"] : GetMessage("USER_TYPE_EDIT_TAB"); ?>
		<?php foreach ($arResult["USER_PROPERTIES"]["DATA"] as $FIELD_NAME => $arUserField) : ?>
			<?php if ($arUserField["MANDATORY"] == "Y") : ?> <i>*</i> <!-- поле обязательно для заполнения --><?php endif; ?>
			<?= $arUserField["EDIT_FORM_LABEL"] ?>:
			<?php
			$APPLICATION->IncludeComponent(
				"bitrix:system.field.edit",
				$arUserField["USER_TYPE"]["USER_TYPE_ID"],
				array(
					"bVarsFromForm" => $arResult["bVarsFromForm"],
					"arUserField" => $arUserField,
					"form_name" => "bform"
				),
				null,
				array("HIDE_ICONS" => "Y")
			);
			?>
		<?php endforeach; ?>
	<?php endif; ?>
	<?php if ($arResult["USE_CAPTCHA"] == "Y") : /* использовать CAPTCHA? */ ?>
		<div class="captcha">
			<h3><?= GetMessage('SYS_AUTH_REGISTRATION_CAPTCHA_TITLE'); /* Защита от роботов */ ?></h3>
			<input type="hidden" name="captcha_sid" value="<?= $arResult["CAPTCHA_CODE"]; ?>" />
			<img src="/bitrix/tools/captcha.php?captcha_sid=<?= $arResult["CAPTCHA_CODE"]; ?>" width="180" height="40" alt="" />
			<span><?= GetMessage('SYS_AUTH_REGISTRATION_CAPTCHA_TEXT'); /* введите код с картинки */ ?> <i>*</i> <!-- поле обязательно для заполнения --></span>
			<span><input type="text" name="captcha_word" maxlength="50" value="" /></span>
		</div>
	<?php endif;  ?>
	<?php
	$APPLICATION->IncludeComponent( /* запрос согласия пользователя */
		"bitrix:main.userconsent.request",
		"",
		array(
			"ID" => COption::getOptionString("main", "new_user_agreement", ""),
			"IS_CHECKED" => "Y",
			"AUTO_SAVE" => "N",
			"IS_LOADED" => "Y",
			"ORIGINATOR_ID" => $arResult["AGREEMENT_ORIGINATOR_ID"],
			"ORIGIN_ID" => $arResult["AGREEMENT_ORIGIN_ID"],
			"INPUT_NAME" => $arResult["AGREEMENT_INPUT_NAME"],
			"REPLACE" => array(
				"button_caption" => GetMessage("AUTH_REGISTER"),
				"fields" => array(
					rtrim(GetMessage("AUTH_NAME"), ":"),
					rtrim(GetMessage("AUTH_LAST_NAME"), ":"),
					rtrim(GetMessage("AUTH_LOGIN_MIN"), ":"),
					rtrim(GetMessage("AUTH_PASSWORD_REQ"), ":"),
					rtrim(GetMessage("AUTH_EMAIL"), ":"),
				)
			),
		)
	);
	?>
	<div class="submit">
		<input type="submit" name="Register" value="<?= GetMessage('SYS_AUTH_REGISTRATION_SUBMIT'); /* кнопка отправки формы */ ?>" />
	</div>
</form>
<p><?= GetMessage('SYS_AUTH_REGISTRATION_LOGIN_LEN'); /* предупреждение о min длине логина */ ?></p>
<p><?= $arResult["GROUP_POLICY"]["PASSWORD_REQUIREMENTS"]; /* предупреждение о min длине пароля */ ?></p>
<p><i>*</i> <?= GetMessage('SYS_AUTH_REGISTRATION_REQUIRED'); /* Эти поля обязательны для заполнения */ ?></p>
<p><a href="<?= $arResult["AUTH_AUTH_URL"]; ?>" rel="nofollow"> <?= GetMessage('SYS_AUTH_REGISTRATION_AUTH'); /* ссылка на страницу авторизации */ ?></a></p>
<script type="text/javascript">
	document.bform.USER_NAME.focus();
</script>
</div>